// RF24Network - Version: 1.0.8
#include <RF24Network.h>
#include <RF24Network_config.h>

// RF24 - Version: 1.3.1
#include <RF24.h>
#include <nRF24L01.h>

RF24 radio(7,8);                    // nRF24L01(+) radio attached using Getting Started board 
RF24Network network(radio);          // Network uses that radio

const uint16_t this_node = 01;        // Address of our node in Octal format

const unsigned long interval = 15000; //ms
unsigned long now, last_check;

int received_message = 0;
int time_delay = 500;

#define ledPin 2   // signal led
#define relPin 3   // relay pin

boolean bell_ringing = false;

void setup(void)
{
  radio.begin();
  radio.setPALevel(RF24_PA_MAX);
  radio.setDataRate(RF24_250KBPS);
  network.begin(/*channel*/ 90, /*node address*/ this_node);
  pinMode(relPin, OUTPUT);
  pinMode(ledPin, OUTPUT);
  digitalWrite(relPin, HIGH);
  digitalWrite(ledPin, LOW);
}

void loop() {
  unsigned long now = millis();
  if (bell_ringing) 
    if (now-last_check >= interval) received_message = 2;
  network.update();                               // Check the network regularly    
  while ( network.available() ) {                 // Is there any incoming data
    RF24NetworkHeader header;
    network.read(header,&received_message,sizeof(received_message));
  }
  if (received_message == 1) {
    digitalWrite(relPin, LOW);
    digitalWrite(ledPin, HIGH);
    if (not bell_ringing) {
      last_check = now;
      bell_ringing = true;
    }
  }
  if (received_message == 2) {
    digitalWrite(relPin, HIGH);
    digitalWrite(ledPin, LOW);
    bell_ringing = false;
  }
  delay(time_delay);
}
